Flourish QMS

API reference / Enrolments

Retrieve an enrolment

GET/v1/enrolments/{id}

Needs a bearer access token with the enrolments.read scope. How authentication works

One enrolment from your organization, by id.

Path parameters

  • idstring · uuidpathrequired

    The enrolment's id.

Responses

  • 200The enrolment
    Response fields
    • dataEnrolment
      • idstring · uuid
      • user_idstring · uuid
      • course_idstring · uuid
      • statusstring

        Allowed values:in_progresscompleted

      • enrolled_atstring · date-time
      • completed_atstring · date-timenullable
      • access_expires_atstring · date-timenullable
  • 404Not found
    Example response
    {
      "error": {
        "code": "not_found",
        "message": "Not found."
      }
    }